Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(42)

Issue 1915753002: Sanitize inheritance in callers of utils.expose (Closed)

Created:
4 years, 3 months ago by robwu
Modified:
4 years, 3 months ago
Reviewers:
Devlin
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Sanitize inheritance in callers of utils.expose - Let all private classes inherit from the null prototype. - Use safe built-ins. - Minor drive-by fixes (code style). BUG=603748, 591164 Committed: https://crrev.com/931719c51866a7c2e272114517cc52aa6581adff Cr-Commit-Position: refs/heads/master@{#390510}

Patch Set 1 #

Patch Set 2 : webview: Set proto on prototype. #

Total comments: 12

Patch Set 3 : Nits #

Patch Set 4 : Don't void the constructor's __proto__. #

Total comments: 1

Patch Set 5 : Nit: space after ':' #

Unified diffs Side-by-side diffs Delta from patch set Stats (+218 lines, -158 lines) Patch
M chrome/renderer/resources/extensions/automation/automation_event.js View 1 2 3 1 chunk +4 lines, -3 lines 0 comments Download
M chrome/renderer/resources/extensions/automation/automation_node.js View 1 2 3 16 chunks +68 lines, -58 lines 0 comments Download
M chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js View 1 2 3 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/renderer/resources/extensions/enterprise_platform_keys/subtle_crypto.js View 1 2 3 2 chunks +5 lines, -5 lines 0 comments Download
M chrome/renderer/resources/extensions/enterprise_platform_keys/token.js View 1 2 3 1 chunk +3 lines, -2 lines 0 comments Download
M chrome/renderer/resources/extensions/platform_keys/key.js View 1 2 3 3 chunks +14 lines, -9 lines 0 comments Download
M chrome/renderer/resources/extensions/platform_keys/subtle_crypto.js View 1 2 3 2 chunks +4 lines, -3 lines 0 comments Download
M chrome/renderer/resources/extensions/web_view/chrome_web_view.js View 1 2 3 5 chunks +18 lines, -16 lines 0 comments Download
M extensions/renderer/resources/event.js View 1 2 3 13 chunks +39 lines, -34 lines 0 comments Download
M extensions/renderer/resources/messaging.js View 1 2 3 4 5 chunks +38 lines, -22 lines 0 comments Download
M extensions/renderer/resources/utils.js View 1 2 3 3 chunks +19 lines, -2 lines 0 comments Download
M extensions/renderer/resources/web_request_internal_custom_bindings.js View 1 2 3 2 chunks +2 lines, -1 line 0 comments Download
M extensions/renderer/safe_builtins.cc View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 17 (6 generated)
robwu
4 years, 3 months ago (2016-04-23 16:14:21 UTC) #3
Devlin
(It looks like you published, but I didn't see an email for this one. Hopefully ...
4 years, 3 months ago (2016-04-26 22:41:25 UTC) #4
robwu
On 2016/04/26 22:41:25, Devlin wrote: > (It looks like you published, but I didn't see ...
4 years, 3 months ago (2016-04-26 23:14:33 UTC) #5
Devlin
https://codereview.chromium.org/1915753002/diff/20001/chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js File chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js (right): https://codereview.chromium.org/1915753002/diff/20001/chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js#newcode34 chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js:34: $Object.setPrototypeOf(KeyPairImpl.prototype, null); On 2016/04/26 23:14:33, robwu wrote: > On ...
4 years, 3 months ago (2016-04-27 00:10:25 UTC) #6
robwu
https://codereview.chromium.org/1915753002/diff/20001/chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js File chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js (right): https://codereview.chromium.org/1915753002/diff/20001/chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js#newcode34 chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js:34: $Object.setPrototypeOf(KeyPairImpl.prototype, null); On 2016/04/27 00:10:25, Devlin wrote: > On ...
4 years, 3 months ago (2016-04-27 09:09:21 UTC) #7
Devlin
https://codereview.chromium.org/1915753002/diff/20001/chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js File chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js (right): https://codereview.chromium.org/1915753002/diff/20001/chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js#newcode34 chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js:34: $Object.setPrototypeOf(KeyPairImpl.prototype, null); On 2016/04/27 09:09:21, robwu wrote: > On ...
4 years, 3 months ago (2016-04-27 17:33:02 UTC) #8
robwu
https://codereview.chromium.org/1915753002/diff/20001/chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js File chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js (right): https://codereview.chromium.org/1915753002/diff/20001/chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js#newcode34 chrome/renderer/resources/extensions/enterprise_platform_keys/key_pair.js:34: $Object.setPrototypeOf(KeyPairImpl.prototype, null); On 2016/04/27 17:33:02, Devlin wrote: > On ...
4 years, 3 months ago (2016-04-28 20:27:50 UTC) #9
Devlin
lgtm https://codereview.chromium.org/1915753002/diff/60001/extensions/renderer/resources/messaging.js File extensions/renderer/resources/messaging.js (right): https://codereview.chromium.org/1915753002/diff/60001/extensions/renderer/resources/messaging.js#newcode26 extensions/renderer/resources/messaging.js:26: var ports = {__proto__:null}; nit: space after ':'
4 years, 3 months ago (2016-04-28 21:21:21 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1915753002/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1915753002/80001
4 years, 3 months ago (2016-04-28 21:32:45 UTC) #13
commit-bot: I haz the power
Committed patchset #5 (id:80001)
4 years, 3 months ago (2016-04-28 22:29:39 UTC) #15
commit-bot: I haz the power
4 years, 3 months ago (2016-04-30 17:22:07 UTC) #16
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/931719c51866a7c2e272114517cc52aa6581adff
Cr-Commit-Position: refs/heads/master@{#390510}

Powered by Google App Engine
This is Rietveld 408576698